Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001706TestLinkIntegration with Other Systemspublic2008-09-11 23:032012-12-09 17:36
Reportertheonlyandy 
Assigned Tofman 
PrioritylowSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.3 
Fixed in Version1.9.5 (2012 Q4 - bug fixing) 
Summary0001706: Feature: Generic integration using link templates to BTS
DescriptionHello everybody.

In my opinion it would be very useful to provide one more integration for bug trackers, that uses link templates for the basic operations:
 * create a bug for a project from a failed test case
 * show a bug created from the test case.

Good bug trackers are restful, so you can pass all relevant data through the url.

Test link could use two link templates for those two operations, for example:
 * http://bugs.example.com/{projectname}/create/?title={title}&description={description} [^]
 * http://bugs.example.com/{projectname}/{bugid} [^]

So you could integrate any bugtracker that uses a good link structure.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships

-  Notes
(0004079)
theonlyandy (reporter)
2008-09-11 23:07

For mantis that link temlates could be:
 * http://www.testlink.org/mantis/bug_report_page.php?project={project}&summary={title}&description={description} [^]
 * http://www.testlink.org/mantis/view.php?id={bugid} [^]
(0004080)
fman (administrator)
2008-09-12 23:53

You have analized just a little portion of work to be done.
you need :

-add new configuration table to map TL concept to BTS concepts, example
 when I'm testing test case 1 on test suite 4 that is a test suite of test suit 5
  on test plan XXX, how I map these data to (example mantis), project and category.

- How TL will receive info about BUGID created ?

Anyway, if you want to help us to develop a complete and working solution you are welcome
(0004081)
theonlyandy (reporter)
2008-09-15 00:30

The mapping was not meant to be done automatically.

As with the other bugtrackers the user should create the bug by herself. The linktemplate could help to prefill fields of the bug. And with the template it would be more generic and could be used with any bugtracker.

The BUGID would be entered by the user.
(0004082)
mhavlat (reporter)
2008-09-15 21:08

How TL recognize which value {project} should use in your example?
(0004083)
theonlyandy (reporter)
2008-09-15 21:10

I thought the TL projectname could be used.

When using different tools within your project infrastructure, you will use the same projectname in your tools anyway.
(0004293)
tphd (reporter)
2008-10-07 15:21

I think it would be already very good if you can ask the status of a defect through the link. the respons would be just what your ask.
eg. ./integrator.php?id=313requestfield=status.
this could be implemented in the different methods you already use in the integration with trac.
the methods that are used for database connection could be a request to a webserver (http request, or webservice request,...preferably http wich is easier to implement).
(0004296)
fman (administrator)
2008-10-07 15:55

@tphd:
your solution works only if BTS has already a html page that can give you info you are requesting, then is nothing that can be done in a generic way on TL.
(0004298)
tphd (reporter)
2008-10-07 16:04

therefore i would create the web page that gives the info from the bugtracking system. as an example. I know how to get info from clearquest(veryu old version) through a com api, and can use this com in web.
so i would actualy create a translation web page between these two systems.

- Issue History
Date Modified Username Field Change
2008-09-11 23:03 theonlyandy New Issue
2008-09-11 23:07 theonlyandy Note Added: 0004079
2008-09-12 23:53 fman Note Added: 0004080
2008-09-15 00:30 theonlyandy Note Added: 0004081
2008-09-15 21:08 mhavlat Note Added: 0004082
2008-09-15 21:08 mhavlat Priority normal => low
2008-09-15 21:08 mhavlat Severity minor => feature request
2008-09-15 21:08 mhavlat Reproducibility have not tried => N/A
2008-09-15 21:08 mhavlat Status new => feedback
2008-09-15 21:08 mhavlat Summary More generic integration using link templates (new feature) => Feature: Generic integration using link templates to BTS
2008-09-15 21:10 theonlyandy Note Added: 0004083
2008-10-07 15:21 tphd Note Added: 0004293
2008-10-07 15:55 fman Note Added: 0004296
2008-10-07 16:04 tphd Note Added: 0004298
2012-12-09 17:36 fman Task Workflow Status => TBD
2012-12-09 17:36 fman Status feedback => closed
2012-12-09 17:36 fman Assigned To => fman
2012-12-09 17:36 fman Resolution open => fixed
2012-12-09 17:36 fman Fixed in Version => 1.9.5 (2012 Q4 - bug fixing)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker